You do need to stop the VMs and restart them, not just issue a reboot. I havn’t 
tried under 4.2 yet, but it works in 4.1.6 that way for me.

> From: Alessandro De Salvo <alessandro.desa...@roma1.infn.it>
> Subject: Re: [ovirt-users] Enabling libgfapi disk access with oVirt 4.2
> Date: November 9, 2017 at 2:35:01 AM CST
> To: users@ovirt.org
> 
> Hi again,
> 
> OK, tried to stop all the vms, except the engine, set engine-config -s 
> LibgfApiSupported=true (for 4.2 only) and restarted the engine.
> 
> When I tried restarting the VMs they are still not using gfapi, so it does 
> not seem to help.
> 
> Cheers,
> 
> 
> 
>     Alessandro
> 
> 
> 
> 
> Il 09/11/17 09:12, Alessandro De Salvo ha scritto:
>> Hi,
>> where should I enable gfapi via the UI?
>> The only command I tried was engine-config -s LibgfApiSupported=true but the 
>> result is what is shown in my output below, so it’s set to true for v4.2. Is 
>> it enough?
>> I’ll try restarting the engine. Is it really needed to stop all the VMs and 
>> restart them all? Of course this is a test setup and I can do it, but for 
>> production clusters in the future it may be a problem.
>> Thanks,
>> 
>>    Alessandro
>> 
>> Il giorno 09 nov 2017, alle ore 07:23, Kasturi Narra <kna...@redhat.com 
>> <mailto:kna...@redhat.com>> ha scritto:
>> 
>>> Hi ,
>>> 
>>>     The procedure to enable gfapi is below.
>>> 
>>> 1) stop all the vms running
>>> 2) Enable gfapi via UI or using engine-config command
>>> 3) Restart ovirt-engine service
>>> 4) start the vms.
>>> 
>>> Hope you have not missed any !!
>>> 
>>> Thanks
>>> kasturi 
>>> 
>>> On Wed, Nov 8, 2017 at 11:58 PM, Alessandro De Salvo 
>>> <alessandro.desa...@roma1.infn.it 
>>> <mailto:alessandro.desa...@roma1.infn.it>> wrote:
>>> Hi,
>>> 
>>> I'm using the latest 4.2 beta release and want to try the gfapi access, but 
>>> I'm currently failing to use it.
>>> 
>>> My test setup has an external glusterfs cluster v3.12, not managed by oVirt.
>>> 
>>> The compatibility flag is correctly showing gfapi should be enabled with 
>>> 4.2:
>>> 
>>> # engine-config -g LibgfApiSupported
>>> LibgfApiSupported: false version: 3.6
>>> LibgfApiSupported: false version: 4.0
>>> LibgfApiSupported: false version: 4.1
>>> LibgfApiSupported: true version: 4.2
>>> 
>>> The data center and cluster have the 4.2 compatibility flags as well.
>>> 
>>> However, when starting a VM with a disk on gluster I can still see the disk 
>>> is mounted via fuse.
>>> 
>>> Any clue of what I'm still missing?
>>> 
>>> Thanks,
>>> 
>>> 
>>>    Alessandro
>>> 
>>> _______________________________________________
>>> Users mailing list
>>> Users@ovirt.org <mailto:Users@ovirt.org>
>>> http://lists.ovirt.org/mailman/listinfo/users 
>>> <http://lists.ovirt.org/mailman/listinfo/users>
>>> 
>> 
>> 
>> _______________________________________________
>> Users mailing list
>> Users@ovirt.org <mailto:Users@ovirt.org>
>> http://lists.ovirt.org/mailman/listinfo/users 
>> <http://lists.ovirt.org/mailman/listinfo/users>
> 
> _______________________________________________
> Users mailing list
> Users@ovirt.org
> http://lists.ovirt.org/mailman/listinfo/users

_______________________________________________
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users

Reply via email to